var sfw = 1;
function change() // no ';' here
        {
            var parent = document.getElementById('parent');
            var children = parent.childNodes;
            console.log(children);
            console.log(children[1].id);
            console.log(children[3].id);

            if(children[1].style.display=="block"){
                document.getElementById('diary').style.display = "none";
                document.getElementById('poetry').style.display = "block";
                document.getElementById('box1').style.display = "none";
                document.getElementById('box2').style.display = "block";
                document.getElementById('toptitle').innerHTML = "whiny poetry";

            }
            else if(children[1].style.display=="none"){
                document.getElementById('diary').style.display = "block";
                document.getElementById('poetry').style.display = "none";
                document.getElementById('box1').style.display = "block";
                document.getElementById('box2').style.display = "none";
                document.getElementById('toptitle').innerHTML = "whiny diary";
            }
        }
function sfwtoggle()
        {
            var parent = document.getElementById('diary');
            var children = parent.childNodes;
            console.log(children[1].id);

            if(children[1].style.display=="none"){
                document.getElementById('nsfw').style.display = "block"
            }
            else if(children[1].style.display=="block"){
                document.getElementById('nsfw').style.display = "block";
            }
        }